Subject: Re: bug#6583: 23.2; cl loop macro with `and' clause

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Sep 2020 15:10:17 +0200

Alex <[email-masked]> writes:

> You're right, sorry. This breaks loops with variables that are updated
> in loop-for-steps rather than loop-for-sets. When I started testing
> other cases I was accidentally using the pre-patch branch to do so.
>
> I can't think of an easy solution to cover both problems right now. If
> no one better suited can figure this out, I'll come back to this after
> completing an ert suite for cl-loop (of which I'm part-way through).

Alex, this was three years ago.  Did you make any progress here?  :-)

    (loop for elem in '(1 2 3)
          for k = elem and j = 99
          do
          (print k))

still displays 1 1 2, which has to be wrong...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no